Debian Bug report logs - #626895
pu: package samba/2:3..6~dfsg-3squeeze4

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Christian Perrier <bubulle@debian.org>

Date: Mon, 16 May 2011 08:33:01 UTC

Severity: normal

Tags: squeeze

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, 605728@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#626895; Package release.debian.org. (Mon, 16 May 2011 08:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to 605728@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 May 2011 08:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package samba/2:3..6~dfsg-3squeeze4
Date: Mon, 16 May 2011 09:51:56 +0200
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hello release team,

Here's another samba bug for which I would like to cherrypick the
upstream fix.

In #605728, it is reported fail to copy files to an SMB share using
signed SMB. This breaks Gnome desktop copying which is, IMHO,
important enough to deserve being fixed in squeeze.

I attach the relevant  upstream commit to this request. Please
consider allowing this into s-p-u.


-- System Information:
Debian Release: wheezy/sid
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[commit-0afb299 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#626895; Package release.debian.org. (Mon, 16 May 2011 20:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 16 May 2011 20:39:08 GMT) Full text and rfc822 format available.

Message #10 received at 626895@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian Perrier <bubulle@debian.org>, 626895@bugs.debian.org
Subject: Re: Bug#626895: pu: package samba/2:3..6~dfsg-3squeeze4
Date: Mon, 16 May 2011 21:35:54 +0100
Hi,

On Mon, 2011-05-16 at 09:51 +0200, Christian Perrier wrote:
> Here's another samba bug for which I would like to cherrypick the
> upstream fix.
> 
> In #605728, it is reported fail to copy files to an SMB share using
> signed SMB. This breaks Gnome desktop copying which is, IMHO,
> important enough to deserve being fixed in squeeze.

Has this already been included in a version of samba uploaded to
unstable?  I assumed that it would have been, given the date of the
upstream fix, but #605728 still appears to be marked as unfixed.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#626895; Package release.debian.org. (Tue, 17 May 2011 06:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 17 May 2011 06:15:06 GMT) Full text and rfc822 format available.

Message #15 received at 626895@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 626895@bugs.debian.org
Cc: 605728-done@bugs.debian.org
Subject: Re: Bug#626895: pu: package samba/2:3..6~dfsg-3squeeze4
Date: Tue, 17 May 2011 07:23:09 +0200
[Message part 1 (text/plain, inline)]
Version: 2:3.5.7~dfsg-1

Quoting Adam D. Barratt (adam@adam-barratt.org.uk):
> Hi,
> 
> On Mon, 2011-05-16 at 09:51 +0200, Christian Perrier wrote:
> > Here's another samba bug for which I would like to cherrypick the
> > upstream fix.
> > 
> > In #605728, it is reported fail to copy files to an SMB share using
> > signed SMB. This breaks Gnome desktop copying which is, IMHO,
> > important enough to deserve being fixed in squeeze.
> 
> Has this already been included in a version of samba uploaded to
> unstable?  I assumed that it would have been, given the date of the
> upstream fix, but #605728 still appears to be marked as unfixed.


Yes, it has. This fix is indeed in upstream 3.5.7. I was doing bug
triaging yesterday when I re-discovered this bug. Indeed, after sending
the p-u request, I wanted to close the bug with version tracking but
forgot to do so anbd moved to something else. Thanks for reminding
me..:-). Doing so right now...




[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#626895; Package release.debian.org. (Wed, 18 May 2011 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 May 2011 20:15:06 GMT) Full text and rfc822 format available.

Message #20 received at 626895@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian PERRIER <bubulle@debian.org>, 626895@bugs.debian.org
Subject: Re: Bug#626895: pu: package samba/2:3..6~dfsg-3squeeze4
Date: Wed, 18 May 2011 21:12:07 +0100
tag 626895 + squeeze confirmed
thanks

On Tue, 2011-05-17 at 07:23 +0200, Christian PERRIER wrote:
> Quoting Adam D. Barratt (adam@adam-barratt.org.uk):
> > On Mon, 2011-05-16 at 09:51 +0200, Christian Perrier wrote:
> > > In #605728, it is reported fail to copy files to an SMB share using
> > > signed SMB. This breaks Gnome desktop copying which is, IMHO,
> > > important enough to deserve being fixed in squeeze.
> > 
> > Has this already been included in a version of samba uploaded to
> > unstable?  I assumed that it would have been, given the date of the
> > upstream fix, but #605728 still appears to be marked as unfixed.
>
> Yes, it has. This fix is indeed in upstream 3.5.7. I was doing bug
> triaging yesterday when I re-discovered this bug. Indeed, after sending
> the p-u request, I wanted to close the bug with version tracking but
> forgot to do so anbd moved to something else. Thanks for reminding
> me..:-). Doing so right now...

Thanks.  With the usual proviso of having tested the fix in a Squeeze
environment, please go ahead.

Regards,

Adam





Added tag(s) squeeze and confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 18 May 2011 20:15:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#626895; Package release.debian.org. (Sun, 22 May 2011 17:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 22 May 2011 17:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 626895@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 626895@bugs.debian.org
Subject: Re: Bug#626895: pu: package samba/2:3..6~dfsg-3squeeze4
Date: Sun, 22 May 2011 19:28:16 +0200
[Message part 1 (text/plain, inline)]
On Mon, May 16, 2011 at 09:35:54PM +0100, Adam D. Barratt wrote:
> Hi,
> 
> On Mon, 2011-05-16 at 09:51 +0200, Christian Perrier wrote:
> > Here's another samba bug for which I would like to cherrypick the
> > upstream fix.
> > 
> > In #605728, it is reported fail to copy files to an SMB share using
> > signed SMB. This breaks Gnome desktop copying which is, IMHO,
> > important enough to deserve being fixed in squeeze.
> 
> Has this already been included in a version of samba uploaded to
> unstable?  I assumed that it would have been, given the date of the
> upstream fix, but #605728 still appears to be marked as unfixed.


Doh, this fix is already in samba..:-)

I was tricked by the fact that I made a mistake in 2:3.5.6~dfsg-2 and
closed #605729 instead of 605728

p-u upload no longer needed, then.


[signature.asc (application/pgp-signature, inline)]

Removed tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 22 May 2011 20:33:03 GMT) Full text and rfc822 format available.

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sun, 22 May 2011 20:33:06 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Sun, 22 May 2011 20:33:06 GMT) Full text and rfc822 format available.

Message #34 received at 626895-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Christian PERRIER <bubulle@debian.org>, 626895-done@bugs.debian.org
Subject: Re: Bug#626895: pu: package samba/2:3..6~dfsg-3squeeze4
Date: Sun, 22 May 2011 21:29:51 +0100
tag 626895 - confirmed
thanks

On Sun, 2011-05-22 at 19:28 +0200, Christian PERRIER wrote:
[...]
> > On Mon, 2011-05-16 at 09:51 +0200, Christian Perrier wrote:
> > > Here's another samba bug for which I would like to cherrypick the
> > > upstream fix.
> > > 
> > > In #605728, it is reported fail to copy files to an SMB share using
> > > signed SMB. This breaks Gnome desktop copying which is, IMHO,
> > > important enough to deserve being fixed in squeeze.
[...]
> Doh, this fix is already in samba..:-)
> 
> I was tricked by the fact that I made a mistake in 2:3.5.6~dfsg-2 and
> closed #605729 instead of 605728
> 
> p-u upload no longer needed, then.

Thanks for letting us know.  In that case, let's close the bug.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Jun 2011 07:37:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:33:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.